unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);

var par:TForm;
begin
//określenie szerokości i wysokości okna komunikatu
 par:=CreateMessageDialog('Okno na środku formularza',mtError,[mbAbort,mbIgnore]);

 //ustalenie współrzędnej X lewego górnego wierzchołka okna
 par.Left:=Left+(Width-par.Width) div 2;

//ustalenie współrzędnej Y lewego górnego wierzchołka okna
 par.Top:=Top+(Height-par.Height)div 2;

//dodatkowo można zmienić kolor okna: par.Color:=clYellow;
 par.ShowModal;

//sprawdzenie, który przycisk został wybrany
 if par.ModalResult=mrAbort then Label1.Caption:='Wybrano przycisk Abort'
 else if par.ModalResult=mrIgnore then Label1.Caption:='Wybrano przycisk Ignore'
     else Label1.Caption:='Nie wybrano przycisku';
end;

end.
